Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 90165 - AIOOBE thrown when switch to watches view
AIOOBE thrown when switch to watches view
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Debugger
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Libor Kotouc
issues@javaee
:
Depends on:
Blocks: 92999
  Show dependency treegraph
 
Reported: 2006-11-28 11:21 UTC by Jiri Skrivanek
Modified: 2007-02-13 14:02 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Stack trace. (689 bytes, text/plain)
2006-11-28 11:22 UTC, Jiri Skrivanek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Skrivanek 2006-11-28 11:21:13 UTC
ArrayIndexOutOfBoundsException is thrown from JspWatchesTreeFilter when we
switch to the Watches view while staying at breakpoint. I haven't seen this
exception before and nothing has changed in JSP debugger (AFAIK), so I suppose
something could change in debugger core. To reproduce:

- create a web application
- toggle breakpoint at line 22 in index.jsp
- start debugger and wait until it stops at the breakpoint
- switch to the Watches view and exception is thrown (see attachment).

Build 20061127-0836, WindowsXP, JDK1.5.0_09.
Comment 1 Jiri Skrivanek 2006-11-28 11:22:19 UTC
Created attachment 36312 [details]
Stack trace.
Comment 2 Libor Kotouc 2007-02-05 15:24:16 UTC
Fixed.

Checking in JspWatchesTreeFilter.java;
/cvs/web/jspdebug/src/org/netbeans/modules/web/debug/watchesfiltering/JspWatchesTreeFilter.java,v
 <--  JspWatchesTreeFilter.java
new revision: 1.6; previous revision: 1.5
done
Comment 3 Jiri Skrivanek 2007-02-13 14:02:31 UTC
Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo